package com.sundot.airport.web.controller.approval.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 个人级别检查DTO
 *
 * @author simon lin
 * @date 2025-09-06
 */
public class PersonalCheckDTO {
    /**
     * 业务ID
     */
    @NotNull(message = "业务ID不能为空")
    private Long id;

    /**
     * 检查描述
     */
    @NotBlank(message = "检查描述不能为空")
    private String description;

    /**
     * 检查类型
     */
    private String checkType;

    /**
     * 检查位置
     */
    private String location;

    /**
     * 目标用户ID列表
     */
    @NotNull(message = "目标用户ID列表不能为空")
    private Long[] targetUserIds;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Long[] getTargetUserIds() {
        return targetUserIds;
    }

    public void setTargetUserIds(Long[] targetUserIds) {
        this.targetUserIds = targetUserIds;
    }
}